var xmlHttp
function CreateXMLHttpRequest()
{// Initialize Mozilla XMLHttpRequest object
	if(window.XMLHttpRequest)
	{
		xmlHttp = new XMLHttpRequest();
	}
		// Initialize for IE/Windows ActiveX version
	else if(window.ActiveXObject)
	{
		try{
		xmlHttp = new ActiveXObject("Msxml2.XMLHTTP.3.0");
			}
	catch(e)
	{
		try	{
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
			}
	catch(e)
		{
		alert( "对不起，您的浏览器不支持XMLHttpRequest对象！");
		}
	}
}
return xmlHttp;
}
//让ajax 支持多钟浏览器
function getObject(objectId)
{
   if(document.getElementById && document.getElementById(objectId))
    {// W3C DOM
		return document.getElementById(objectId);
	}
	else if(document.all && document.all(objectId))
    {// MSIE 4  DOM
		return document.all(objectId);
	}
    else if(document.layers && document.layers[objectId])
    { // NN 4 DOM -----note: this won't find nested layers
       return document.layers[objectId];
	}
  else{
      return false;
      }
}
//ajax异步读取
function startXMLHttp(url,objet)
{
	CreateXMLHttpRequest(); //建立xmlHttp 对象
	//xmlHttp.onreadystatechange = getcontent; //xmlHttp下的onreadystatechange方法 控制传送过程
	xmlHttp.open("get",url,false); //传送方式 读取的页面 异步与否
	xmlHttp.setRequestHeader("Content-Type", "text/html;charset=gb2312"); 
	xmlHttp.setRequestHeader("If-Modified-Since","0");//禁止缓存
	xmlHttp.send(); //发送
	var objectType = objet;

	if (xmlHttp.readyState == 4 && xmlHttp.status == 200) // xmlHttp下的readystate方法 4表示传送完毕
	{
		//alert(xmlHttp.responseText);
		getObject(objectType).innerHTML = xmlHttp.responseText; //xmlHttp的responseText方法 得到读取页数据
	}
}



function ReturnXMLHttp(url,returnStr)
{
	CreateXMLHttpRequest(); //建立xmlHttp 对象

	//xmlHttp.onreadystatechange = getcontent; //xmlHttp下的onreadystatechange方法 控制传送过程
	xmlHttp.open("get",url,false); //传送方式 读取的页面 异步与否
	//xmlHttp.setRequestHeader("If-Modified-Since","0");//禁止缓存
	xmlHttp.send(); //发送
	if (xmlHttp.readyState == 4 && xmlHttp.status == 200) // xmlHttp下的readystate方法 4表示传送完毕
	{
		// xmlHttp的status方法读取状态（服务器HTTP状态码）  200对应OK 404对应Not Found（未找到）等

		if(xmlHttp.responseText=="1")
		{

		    return returnStr;
		}
	}
}
function selectedDefault(obj,defaultValue)
{
	for(j=0;j<obj.options.length;j++)
	{
		if(obj.options[j].value==defaultValue)
		{
			obj.selectedIndex=j;		
		}
		
	}
}